Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.move
Class AbstractMove

    java.lang.Object
      org.optaplanner.core.impl.heuristic.move.AbstractMove

All Implemented Interfaces:
  Move

Direct Known Subclasses:
  BedChangeMove, BedDesignationSwapMove, ChangeMove, CheapTimePillarSlideMove, CloudComputerChangeMove, CloudProcessSwapMove, CompositeMove, EmployeeChangeMove, EmployeeMultipleChangeMove, MatchChainRotationsMove, NoChangeMove, PillarChangeMove, PillarSwapMove, RowChangeMove, ShiftAssignmentSwapMove, SubChainChangeMove, SubChainReversingChangeMove, SubChainReversingSwapMove, SubChainSwapMove, SwapMove

    public abstract class AbstractMove

extends Object
implements Move

Abstract superclass for `Move`

See Also:
  `Move`

Constructor Summary
`AbstractMove()`

Method Summary
`String` | `getSimpleMoveTypeDescription()` Describes the move type for statistical purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.heuristic.move.Move
`createUndoMove, doMove, getPlanningEntities, getPlanningValues, isMoveDoable`

Constructor Detail

### AbstractMove

    public AbstractMove()

Method Detail

### getSimpleMoveTypeDescription

    public String getSimpleMoveTypeDescription()

  Description copied from interface: `Move`
  Describes the move type for statistical purposes. For example "ChangeMove(Process.computer)". The format is not formalized. Never parse the `String` returned by this method.

  Specified by:
    `getSimpleMoveTypeDescription` in interface `Move`
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.